> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Qualify By Usecase

> This endpoint allows you to see whether or not the supplied brand is suitable for your desired campaign use case.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/messaging-10dlc/campaign-builder.yml get /10dlc/campaignBuilder/brand/{brandId}/usecase/{usecase}
openapi: 3.1.0
info:
  title: Telnyx 10DLC Campaign Builder API
  version: 2.0.0
  description: API for 10DLC campaign builder.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /10dlc/campaignBuilder/brand/{brandId}/usecase/{usecase}:
    get:
      tags:
        - Campaign
      summary: Qualify By Usecase
      description: >-
        This endpoint allows you to see whether or not the supplied brand is
        suitable for your desired campaign use case.
      operationId: GetUsecaseQualification
      parameters:
        - required: true
          schema:
            title: Usecase
            type: string
          name: usecase
          in: path
        - required: true
          schema:
            title: Brandid
            type: string
          name: brandId
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsecaseMetadata'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        4XX:
          $ref: '#/components/responses/10dlc_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.messaging10dlc.campaignBuilder.brand.qualifyByUsecase('usecase',
            {
              brandId: 'brandId',
            });


            console.log(response.annualFee);
        - lang: Python
          source: >-
            import os

            from telnyx import Telnyx


            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )

            response =
            client.messaging_10dlc.campaign_builder.brand.qualify_by_usecase(
                usecase="usecase",
                brand_id="brandId",
            )

            print(response.annual_fee)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Messaging10dlc.CampaignBuilder.Brand.QualifyByUsecase(\n\t\tcontext.TODO(),\n\t\t\"usecase\",\n\t\ttelnyx.Messaging10dlcCampaignBuilderBrandQualifyByUsecaseParams{\n\t\t\tBrandID: \"brandId\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.AnnualFee)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.messaging10dlc.campaignbuilder.brand.BrandQualifyByUsecaseParams;

            import
            com.telnyx.sdk.models.messaging10dlc.campaignbuilder.brand.BrandQualifyByUsecaseResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    BrandQualifyByUsecaseParams params = BrandQualifyByUsecaseParams.builder()
                        .brandId("brandId")
                        .usecase("usecase")
                        .build();
                    BrandQualifyByUsecaseResponse response = client.messaging10dlc().campaignBuilder().brand().qualifyByUsecase(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.messaging_10dlc.campaign_builder.brand.qualify_by_usecase("usecase",
            brand_id: "brandId")


            puts(response)
        - lang: CLI
          source: |-
            telnyx messaging-10dlc:campaign-builder:brand qualify-by-usecase \
              --api-key 'My API Key' \
              --brand-id brandId \
              --usecase usecase
components:
  schemas:
    UsecaseMetadata:
      title: UsecaseMetadata
      type: object
      properties:
        annualFee:
          title: Annualfee
          type: number
          description: Campaign annual subscription fee
        maxSubUsecases:
          title: Maxsubusecases
          type: integer
          description: Maximum number of sub-usecases declaration required.
        minSubUsecases:
          title: Minsubusecases
          type: integer
          description: Minimum number of sub-usecases declaration required.
        mnoMetadata:
          title: Mnometadata
          type: object
          description: >-
            Map of usecase metadata for each MNO. Key is the network ID of the
            MNO (e.g. 10017), Value is the mno metadata for the usecase.
          additionalProperties: true
        monthlyFee:
          title: Monthlyfee
          type: number
          description: Campaign monthly subscription fee
        quarterlyFee:
          title: Quarterlyfee
          type: number
          description: Campaign quarterly subscription fee
        usecase:
          title: Usecase
          type: string
          description: Campaign usecase
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
    10dlc_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/10dlc_Error'
      type: object
    10dlc_Error:
      required:
        - code
        - title
      type: object
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
  responses:
    10dlc_GenericErrorResponse:
      description: Generic response error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/10dlc_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````